Summary: GNU file management utilities.
Name: fileutils
Version: 4.1
Release: 3.0.0.%{_hhl_build_id}
Source: fileutils_%{version}.orig.tar.gz
Source1: fileutils.tmpl
Patch: fileutils_%{version}-3.diff.gz
Patch1: fileutils_4.1-man.diff
Patch2:	fileutils-4.0.37-gcc-3.0.patch
Patch3: mvl-fileutils-config_xtensa.patch
Patch4: fileutils-4.1-chown-lsb-compat.patch
License: GPL
Group: base
Buildroot: %{_tmppath}/%{name}-%{_hhl_target_arch}-root
Prefix: %{_hhl_cross_target_dir}
Provides: /bin/chgrp /bin/chmod /bin/chown /bin/cp /bin/dd /bin/df /bin/dir
Provides: /bin/ln /bin/ls /bin/mkdir /bin/mknod /bin/mv /bin/rm /bin/rmdir
Provides: /bin/sync /bin/touch

%define pkgname		fileutils

%define targetroot	%{_hhl_cross_target_dir}

%define _rbindir	%{_hhl_cross_target_dir}/bin
%define _bindir		%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}
%define _docdir		%{_hhl_cross_target_dir}%{_hhl_target_doc_dir}
%define _mandir		%{_hhl_cross_target_dir}%{_hhl_target_man_dir}
%define _datadir	%{_hhl_cross_target_dir}%{_hhl_target_sharedstate_dir}
%define _infodir	%{_hhl_cross_target_dir}%{_hhl_target_info_dir}

Obsoletes : hhl-target-fileutils
Obsoletes : hhl-%{_hhl_target_arch}-fileutils

%description
The utilities: chgrp chmod chown cp dd df dir dircolors du install ln
ls mkdir mkfifo mknod mv rm rmdir shred touch vdir sync.

# fileutils

%prep
%target_check
%setup -q -n fileutils-%{version}
%patch -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
%target_setup
ac_cv_func_setvbuf_reversed=no
export ac_cv_func_setvbuf_reversed
%target_configure --without-included-regex \
	--enable-maintainer-mode -v \
	| tee ../build.log

%make CFLAGS="-O2" | tee -a ../build.log


%install
rm -rf %{buildroot}
%target_setup
mkdir -p %{buildroot}%{_rbindir}
%target_makeinstall | tee -a ../build.log
mv %{buildroot}%{_bindir}/{chgrp,chmod,chown,cp,dd,df,dir,ln,ls,mkdir,mknod,mv,rm,rmdir,sync,touch,vdir} %{buildroot}%{_rbindir}
gzip -9f %{buildroot}%{_mandir}/man1/* %{buildroot}%{_infodir}/*.info
cd ..
cp COPYING LICENSE

install -d %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages
export HHL_TOOL_PREFIX=%{_hhl_target_toolprefix}
genpkgdesc %{buildroot}%{_hhl_cross_target_dir} %{SOURCE1} > %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/fileutils

%clean
rm -rf %{buildroot}


%files -n %{pkgname}
%defattr(-,root,root)
%{_bindir}/*
%{_rbindir}/*
%{_datadir}/locale/*/*/*
%{_infodir}/fileutils.info.gz
%{_mandir}/man1/*.gz

%doc README NEWS ChangeLog LICENSE
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/fileutils


%changelog
* Fri May 17 2002 Joe Green <source@mvista.com>
- Add support for "xtensa" architecture.

* Fri Apr 20 2001 Steve Kinneberg <source@mvista.com>
- Added TCT package description files

* Sun Apr 01 2001 Charles Duffy <source@mvista.com>
- Move appropriate files from /usr/bin to /bin

* Thu Feb 01 2001 Matthew McLean <source@mvista.com>
- First cut


